Author: Andreas Wolf Category: MVC
Updated: 2014-04-15 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Split up ActionController::errorAction()
Description

The method errorAction() in ActionController contains code that does three jobs:

    -  adding the error flash messages
    -  redirecting back to the original request
    -  outputting a flattened validation error messages

As one might wish to override one or more of these aspects, but not c&p the whole code, these concerns should be moved to
separate methods that are called from errorAction().

Related issues:
duplicated by TYPO3 Flow Base Distribution - Task # 55189: Extract forward ha... Closed 2014-01-20

Associated revisions
Revision 2c5e09a3 - 2014-04-15 17:01 - Andreas Wolf

[TASK] Decouple responsibilites in default errorAction()

The default errorAction() implementation in ActionController does quite
a few things, e.g. rendering an error message and forwarding back to the
original request. When implementing an own error action, this might be
unhandy, because the default error message is not so useful, while the
whole request back-forwarding stuff works quite neat. This commit
therefore moves the different parts into their own methods, which are
called by errorAction(). Each of these calls can then be used or
omitted in custom implementations of errorAction().

Change-Id: I290e7679f72fab0426ab82810176fff5558de5f5
Resolves: #54618
Releases: master

History
#1 - 2013-12-28 10:48 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/26570
#2 - 2013-12-28 10:49 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/26570

#3 - 2013-12-28 20:26 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/26570

#4 - 2014-03-18 16:43 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/26570

#5 - 2014-04-15 17:02 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/26570

#6 - 2014-04-15 17:37 - Andreas Wolf
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2c5e09a3a4d72816770bfedc14ae8e86d31df4d7.
